LOGCONV.PY(1)

NAME
logconv.py - Analyzes Directory Server access log files

SYNOPSIS
logconv.py [-h] [-v] [-V] [-s SIZE_LIMIT] [-d ROOT_DN] [-B BIND_DN] [-X EXCLUDE_IP] [-S START_TIME] [-E END_TIME] [-m SEC_STATS_FILENAME] [-M MIN_STATS_FILENAME] [ access log(s)]

DESCRIPTION
Analyzes Directory Server access log files for specific information defined on the command line.

OPTIONS

-h, --help
    help/usage.

-v, --version
    Display log analyzer version.

-V, --verbose
    Enable verbose mode for detailed statistic processing.

-s, --sizeLimit SIZE_LIMIT
    Number of results to return per category.
    DEFAULT: 20

-d, --rootDN ROOT_DN
    Directory Managers DN.
    DEFAULT: "cn=Directory Manager"

-B, --bind BIND_DN
    Generates an activity report based specified bind DN.
    Options: <ALL | ANONYMOUS | "Actual bind DN">

-X, --excludeIP EXCLUDE_IP
    IP address to exclude from analysis, could be used to exclude load balancers.
    To specify multiple IP addresses you could use: -X 192.168.1.1 -X 10.1.2.1

-S, --startTime START_TIME
    Time to begin analysing logfile from.
    Copy and paste a timestamp from the access logs:
    "[04/Jun/2024:10:31:20.014629085 +0200]"
           or
    Use common log format:
    "[04/Jun/2024:10:31:20 +0200]"'

-E, --endTime END_TIME
    Time to stop analysing logfile.
    Copy and paste a timestamp from the access logs:
    "[04/Jun/2024:11:30:05.435779416 +0200]"
           or
    Use common log format:
    "[04/Jun/2024:11:30:05 +0200]"

-m, --reportFileSecs SEC_STATS_FILENAME
    Capture operation stats at second intervals and write to csv file.

-M, --reportFileMins MIN_STATS_FILENAME
    Capture operation stats at minute intervals and write to csv file.

-j, --recommends
    Provide some preformance recommendations post analysis.

USAGE
Examples:

    Analyze logs in verbose mode
    logconv.py -V /var/log/dirsrv/slapd-host/access*

    Limit results to 10 entries per category
    logconv.py --sizeLimit 10 /var/log/dirsrv/slapd-host/access*

    Specify a custom root DN
    logconv.py --rootDN "cn=custom manager" /var/log/dirsrv/slapd-host/access*

    Generate a report for anonymous binds
    logconv.py -B ANONYMOUS /var/log/dirsrv/slapd-host/access*

    Exclude specific IP address(s) from log analysis
    logconv.py -X 192.168.1.1 --exclude_ip 11.22.33.44 /var/log/dirsrv/slapd-host/access*

    Analyze logs within a specific time range
    logconv.py -S "[04/Jun/2024:10:31:20.014629085 +0200]" --endTime "[04/Jun/2024:11:30:05 +0200]" /var/log/dirsrv/slapd-host/access*

    Generate performance stats at second intervals
    logconv.py -m log-second-stats.csv /var/log/dirsrv/slapd-host/access*

    Generate performance stats at minute intervals
    logconv.py -M log-minute-stats.csv /var/log/dirsrv/slapd-host/access*

    Display recommendations post log analysis
    logconv.py -j /var/log/dirsrv/slapd-host/access*

AUTHOR
logconv.py was written by the 389 Project.

REPORTING BUGS
Report bugs to https://github.com/389ds/389-ds-base/issues/new

COPYRIGHT
Copyright © 2001 Sun Microsystems, Inc. Used by permission.
Copyright © 2025 Red Hat, Inc.
This manual page was written by Michele Baldessari <michele@pupazzo.org>, for the Debian project (but may be used by others).
This is free software. You may redistribute copies of it under the terms of the Directory Server license found in the LICENSE file of this software distribution. This license is essentially the GNU General Public License version 2 with an exception for plug-in distribution.